<?php
	# WackoWiki Theme: Bluenatic
	# Copyright (C) 2006         Robert Vaeth  - <spam@non-public.com>
	# This program is distributed under the terms and conditions of the GPL
	# See the README and LICENSE files for details

	# --------------------------------------------------------
	# $Id: footer.php, v1.00 2006/05/07 Exp $
	# --------------------------------------------------------

	# Unlike all other styles this theme is written entirely in PHP. One big
	# advantage is that I can control the output much better.

	# --------------------
	# (1) Create the footer
	# --------------------
	echo "\n", '<!-- Wiki content end -->', "\n\n";
	echo "\t", '<div id="footer">', "\n";

	# Show only if page exists
	if ($this->page) {

		# Show last revision
		echo "\t\t", $this->GetResourceValue("SettingsRevisions") . ':';
		echo '<a href="' . $this->href("revisions") . '">' . $this->GetPageTime() . '</a>', "\n";
		echo "\t\t", '&nbsp;|&nbsp;', "\n";

		# Check if user = owner - if not, add the claim text
		if($owner = $this->GetPageOwner()) {
			echo "\t\t", $this->GetResourceValue("Owner");
			echo $this->Link($owner), "\n";
		} else
			if(!$this->page["comment_on"]) {
				echo "\t\t", $this->GetResourceValue("Nobody");
				echo '<a href="' . $this->href("claim") . '">' . $this->GetResourceValue("TakeOwnership") . '</a>', "\n";
			}
		echo "\t\t", '&nbsp;|&nbsp;', "\n";

		# Settings
		echo "\t\t", '<a href="' . $this->href("settings") . '">' . $this->GetResourceValue("SettingsText") . '</a>', "\n";
		echo "\t\t", '&nbsp;|&nbsp;', "\n";

		# Watch page
		echo "\t\t", '<a href="' . $this->href("watch") . '">';
		if($this->IsWatched($this->GetUserName(), $this->GetPageTag())) {
			echo '<img src="' . $this->GetConfigValue("theme_url") . 'images/watch-remove.gif" alt="' . $this->GetResourceValue("RemoveWatch") . '" title="' . $this->GetResourceValue("RemoveWatch") . '" width="16" height="16" />';
		} else {
			echo '<img src="' . $this->GetConfigValue("theme_url") . 'images/watch-add.gif" alt="' . $this->GetResourceValue("SetWatch") . '" title="' . $this->GetResourceValue("SetWatch") . '" width="16" height="16" />';
		}
		echo '</a>', "\n";

		# Bookmark page
		if(in_array($this->GetPageSuperTag(),$this->GetBookmarkLinks())) {
			echo "\t\t", '<a href="' . $this->Href('', '', "removebookmark=yes") . '">';
			echo '<img src="' . $this->GetConfigValue("theme_url") . 'images/bookmark-remove.gif" alt="' . $this->GetResourceValue("RemoveFromBookmarks") . '" title="' . $this->GetResourceValue("RemoveFromBookmarks") . '" width="16" height="16" />';
		} else {
			echo "\t\t", '<a href="' . $this->Href('', '', "addbookmark=yes") . '">';
			echo '<img src="' . $this->GetConfigValue("theme_url") . 'images/bookmark-add.gif" alt="' . $this->GetResourceValue("AddToBookmarks") . '" title="' . $this->GetResourceValue("AddToBookmarks") . '" width="16" height="16" />';
		}
		echo '</a>', "\n";
		echo "\t\t", '&nbsp;|&nbsp;';
	} // End of "Page exists"

	echo "\t\t", 'Powered by ' . $this->Link("WackoWiki:WackoWiki", "", "WackoWiki ".$this->GetWackoVersion()), "\n";
	echo "\t", '</div>', "\n";
	echo '</div>', "\n";

	# Debug Querylog (untouched!)
	if ($this->GetConfigValue("debug")>=2) {
		print("<span style=\"font-size: 11px; color: #888888\">");
		print("<strong>Query log:</strong><br />\n");

		foreach ($this->queryLog as $query) {
			print($query["query"]." (".$query["time"].")<br />\n");
			$zz++;
		}
		print("<b>total: $zz</b>");
		print("</span>");
	}

// Don't place final </body></html> here. Wacko closes HTML automatically.
?>
